tuple File Reference

Go to the source code of this file.

## Classes

struct | std::_Tuple_impl< _Idx, _Elements >
struct | std::_Tuple_impl< _Idx >
struct | std::_Tuple_impl< _Idx, _Head, _Tail...>
class | std::tuple< _Elements >
class | std::tuple< _T1, _T2 >
class | std::tuple_element< _Int, _Tp >
struct | std::tuple_element< 0, tuple< _Head, _Tail...> >
struct | std::tuple_element< __i, tuple< _Head, _Tail...> >
class | std::tuple_size< _Tp >
struct | std::tuple_size< tuple< _Elements...> >
struct | std::uses_allocator< tuple< _Types...>, _Alloc >

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_TUPLE

## Typedefs

template<typename _Tp >
using | std::__empty_not_final = typename conditional< __is_final(_Tp), false_type, __is_empty_non_tuple< _Tp >>::type

## Functions

template<std::size_t __i, typename _Head , typename... _Tail>
constexpr __add_ref< _Head >::type | std::__get_helper (_Tuple_impl< __i, _Head, _Tail...> &__t) noexcept
template<std::size_t __i, typename _Head , typename... _Tail>
constexpr __add_c_ref< _Head > ::type | std::__get_helper (const _Tuple_impl< __i, _Head, _Tail...> &__t) noexcept
template<typename... _Elements>
tuple< _Elements &&...> | std::forward_as_tuple (_Elements &&...__args) noexcept
template<std::size_t __i, typename... _Elements>
constexpr __add_ref< typename tuple_element< __i, tuple < _Elements...> >::type > ::type | std::get (tuple< _Elements...> &__t) noexcept
template<std::size_t __i, typename... _Elements>
constexpr __add_c_ref < typename tuple_element< __i, tuple< _Elements...> >::type > ::type | std::get (const tuple< _Elements...> &__t) noexcept
template<std::size_t __i, typename... _Elements>
constexpr __add_r_ref < typename tuple_element< __i, tuple< _Elements...> >::type > ::type | std::get (tuple< _Elements...> &&__t) noexcept
template<typename... _Elements>
constexpr tuple< typename __decay_and_strip< _Elements > ::__type...> | std::make_tuple (_Elements &&...__args)
template<typename... _TElements, typename... _UElements>
constexpr bool | std::operator!= (const tuple< _TElements...> &__t, const tuple< _UElements...> &__u)
template<typename... _TElements, typename... _UElements>
constexpr bool | std::operator< (const tuple< _TElements...> &__t, const tuple< _UElements...> &__u)
template<typename... _TElements, typename... _UElements>
constexpr bool | std::operator<= (const tuple< _TElements...> &__t, const tuple< _UElements...> &__u)
template<typename... _TElements, typename... _UElements>
constexpr bool | std::operator== (const tuple< _TElements...> &__t, const tuple< _UElements...> &__u)
template<typename... _TElements, typename... _UElements>
constexpr bool | std::operator> (const tuple< _TElements...> &__t, const tuple< _UElements...> &__u)
template<typename... _TElements, typename... _UElements>
constexpr bool | std::operator>= (const tuple< _TElements...> &__t, const tuple< _UElements...> &__u)
template<typename... _Elements>
void | std::swap (tuple< _Elements...> &__x, tuple< _Elements...> &__y) noexcept(noexcept(__x.swap(__y)))
template<typename... _Elements>
tuple< _Elements &...> | std::tie (_Elements &...__args) noexcept
template<typename... _Tpls, typename = typename enable_if<__and_<__is_tuple_like<_Tpls>...>::value>::type>
constexpr auto | std::tuple_cat (_Tpls &&...__tpls) -> typename __tuple_cat_result< _Tpls...>::__type

## Variables

const _Swallow_assign | std::ignore

## Detailed Description

This is a Standard C++ Library header.

Definition in file tuple.